{*********************************************************

 SlavaNap source code.

 Copyright 2001,2002 by SlavaNap development team
 Released under GNU General Public License

 Latest version is available at
 http://www.slavanap.org

**********************************************************

 Unit: aboutform

 'About' window

*********************************************************}
unit aboutform;

interface

uses
  Windows, Messages, SysUtils, Classes2, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, ShellApi, StdCtrls, constants, Classes, jpeg;

type
  TSlavaNapAbout = class(TForm)
    jpg: TImage;
    PaintBox1: TPaintBox;
    PaintBox2: TPaintBox;
    procedure PaintBox1Click(Sender: TObject);
    procedure PaintBox2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SlavaNapAbout: TSlavaNapAbout;

implementation

{$R *.DFM}

procedure TSlavaNapAbout.PaintBox1Click(Sender: TObject);
begin
 Close;
end;

procedure TSlavaNapAbout.PaintBox2Click(Sender: TObject);
begin
 ShellExecute(Handle,PChar('open'),PChar('http://www.slavanap.org'),nil,nil,SW_ShowNormal);
end;

procedure TSlavaNapAbout.FormCreate(Sender: TObject);
begin
 ClientWidth:=jpg.Width;
 ClientHeight:=jpg.Height;
 Caption:='SlavaNap‚É‚Â‚¢‚Ä:     '+SLAVANAP_BUILD_TEXT;
end;

end.
 
